Upgrade psutil from 1.1.2 to 1.1.3.

Review Request #250 — Created April 18, 2014 and submitted

jsirois
pants
jsirois/psutil-upgrade
71
pants-reviews
ity, travis
commit 1e5233d1a38a156a04dc9feb2d44374e5f3ff767
Author: John Sirois <jsirois@twitter.com>
Date:   Fri Apr 18 08:40:17 2014 -0700

    Upgrade psutil from 1.1.2 to 1.1.3.
    
    This version has a fix for:
      https://code.google.com/p/psutil/issues/detail?id=442

 3rdparty/python/requirements.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
$ git clean -fdx && ./build-support/bin/ci.sh

$ zipinfo pants.pex | grep .deps/ | grep PKG-INFO | grep psutil
-rw-r--r--  2.0 unx    11322 b- defN 14-Apr-18 08:40 .deps/psutil-1.1.3-py2.6-linux-x86_64.egg/EGG-INFO/PKG-INFO
-rw-r--r--  2.0 unx    11322 b- defN 14-Apr-18 08:40 .deps/psutil-1.1.3-py2.6-macosx-10.4-x86_64.egg/EGG-INFO/PKG-INFO
JS
  1. (This uses: https://github.com/pantsbuild/cheeseshop/commit/d3eeecb4be37bee797f584e546f690b63cead1e9)
  2. 
      
TR
  1. Ship It!
  2. 
      
IT
  1. I think you want to update build-support/python/setup.sh line #23 too with
    psutil==1.1.3
    1. Actually can we switch to using https://github.com/pantsbuild/pants/blob/master/3rdparty/python/requirements.txt now?
    2. Good eyes.  In fact the script is unreferenced - killed.
  2. 
      
JS
TR
  1. Ship It!
  2. 
      
JS
  1. Thanks folks - merged.
  2. 
      
JS
Review request changed

Status: Closed (submitted)

Loading...